## org.ascape.util
Interface ResetableIterator

All Superinterfaces:
  java.util.Iterator

All Known Subinterfaces:
  RandomIterator

All Known Implementing Classes:
  CollectionSpace.CSIterator, CollectionSpace.CSMutableIterator, CollectionSpace.ListMutableRandomIterator, CollectionSpace.ListRandomIterator, CollectionSpace.MutableSubIterator, CollectionSpace.SubIterator

    public interface ResetableIterator

extends java.util.Iterator

An iterator that can be reused - e.g. its cursor can be set back to the first element.

Since:
  1.5
Version:
  1.5
Author:
  Miles Parker

Method Summary
`void` `first()`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### first

    void first()